Bug 16253 - xf86-input-synaptics
Summary: xf86-input-synaptics
Status: CLOSED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Project Creation Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-06 04:10 UTC by Christoph Brill
Modified: 2008-07-08 11:37 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Brill 2008-06-06 04:10:45 UTC
Maybe you remeber me being the idiot trying to relicense the synaptics driver to MIT [1][2]. I did it with the exception of the contributions from Mathew Garrett. The driver is now unmaintained and not compatible with latest X.org any more. I'd like to take over maintainership and get the driver hosted on fdo.

My plan is:
1.) Get someone to copy over the git repository from [3] to xorg/driver/xf86-input-synaptics (this is the thing where I need help with)
2.) Create a branch named "synaptics-gpl"
3.) Remove the contributions from Matthew Garrett from the master branch (yes, we all know the driver will be worse)
4.) Change the license and headers to MIT.
5.) Update the build system to be compatible with the rest of the X.org tree
6.) Update the source to be compatible with latest X.org
7.) Maybe add [4] as a seperate branch.

If someone will do 1.) for me I'll step up as maintainer and integrate patches and drop releases from time to time.

[1] http://people.freedesktop.org/~cbrill/synli/
[2] http://people.freedesktop.org/~cbrill/synli2/
[3] http://web.telia.com/~u89404340/touchpad/synaptics/.git
[4] http://math.berkeley.edu/~vojta/xf86-input-synaptics-0.99.1.tar.bz2
Comment 1 Christoph Brill 2008-06-06 12:42:19 UTC
I did some rework of the driver and uploaded it to annarchy.freedesktop.org. It can be found at /home/cbrill/xf86-input-synaptics.git. One just needs to move it to the right place (hint, hint).
Comment 2 Tobias Jakobi 2008-06-07 15:08:52 UTC
I just wanted to give you a big thanks for your efforts! :-)

I think it's a good thing to have the synaptics driver in mainline. My laptop system has a synaptics touchpad and I'm using a GIT xorg-server on this system (too benefit from some new features and being able to use mesa GIT), which made it very hard to get the device to work.

It's doing fine now... but managed outside of FDO it's gonna break again sooner or later.
So keep up your fine work!

Cheers,
Tobias Jakobi
Comment 3 Corbin Simpson 2008-06-07 23:17:41 UTC
Whoo-hoo, bodacious!

~ C.
Comment 4 Benjamin Close 2008-07-07 21:54:47 UTC
Shift complete. I've left your repo in your home directory. After you've confirmed the new repo is still correct can you please move your repo out your home directory to make it vanish from cgit/gitweb interfaces.

Thanks for the good work.
Comment 5 Christoph Brill 2008-07-08 11:37:58 UTC
Thank you Benjamin for doing the shift. I verified that I can clone the repository and push changes to it. I also removed the one from my home directory.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.